language: php
before_script:
  - wget https://scrutinizer-ci.com/ocular.phar
  - composer install -n
script:
  - phpunit -c phpunit-travis.xml
after_script:
  - php ocular.phar code-coverage:upload --format=php-clover coverage.clover
  - php vendor/bin/codacycoverage clover coverage.clover
  - ./vendor/bin/test-reporter --coverage-report coverage.clover
php:
  - 7.0
